Page MenuHomePhabricator

Phabricator lacks a "notification" feed similar other project management software: Enable "Flame"
Closed, ResolvedPublic

Description

Most project management software features a notification feed of recent mentions, task assignments, and actions on watched task

—notification feed in Trello

Watched tasks, and assigned task tasks can we viewed as dashboards, but no general out of the box feed of recent items related to you seems to exists, nor an obvious way to collect tasks you've been recently mentioned in.

This may pose a blocker for users switching from Trello.

Event Timeline

Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF raised the priority of this task from to High.
Jaredzimmerman-WMF changed Security from none to None.

Currently Phabricator requires that I overly rely on email in conjunction with Phabricator, e.g. I have 4 recent replies/mentions on phabricator that I need to reply take action on, I have these 4 recent emails, but there is no easy way to see these within phabricator. Other tools such as Trello effectively allow a user to turn off email notification (a welcome thing to do) since notifications are so easy to access within the software.

There is a 'feed' tab under 'Activity' on the main page https://phabricator.wikimedia.org/ . Is that what you're looking for?

@valhallasw not quite, this view contains many items that I'm not subscribed to and aren't directly related to me. It also contains my own actions, and doesn't call out mentioned in an obvious way, basically a really bad signal to noise ratio, pretty much unusable compared to Trello for this same purpose.

chasemp added a subscriber: chasemp.Nov 3 2014, 8:43 PM

There is somewhat of this sort of notification feed. Although I'm not sure if it hits all of the requirements. We could enable it even without the real-time portion for now possibly (real-time needing testing and deployment).

See 'fire' header icon in phab-01

What is the rationale for not having this feature enabled on our main phab instance?

no one has requested or mentioned it I think. you are the first to ask afaik

T193: Determine which applications should be enabled.

Funny, I asked @Aklapper this morning on IRC. It was enabled in fab (I think) and just these days I noticed that we don't have it here. I was not aware that it was an own app. So yes, it would be great if "Flame" could be enabled.

"Bubble" belongs to Conpherence, and that is a different discussion (see T834).

I feel comfortable doing this if someone can make a wiki portion about why "notification server not enabled" is going to show up until https://secure.phabricator.com/book/phabricator/article/notifications/ as I'm sure it will be a very common question until then.

Qgil added a comment.Nov 3 2014, 8:57 PM

Where would "notification server not enabled" appear in the UI? I have never seen this message in fab or phab-01.

The bottom of the drop down displays it if the nodejs features are not setup. So I believe you see it every time you click the drop down.

"Notification Server not enabled"

Qgil lowered the priority of this task from High to Normal.Nov 3 2014, 9:07 PM
Qgil added a project: Project-Management.

I see. I guess I never reached the bottom of my personal feed paying much attention. :)

Ok, then let's talk about this feed when we discuss about T765: Enable notification server (real-time pop-up notifications) in Phabricator in the context of Project-Management

Aklapper renamed this task from phabricator lacks a "notification" feed similar other project management software to Phabricator lacks a "notification" feed similar other project management software: Enable "Flame".Nov 4 2014, 2:18 PM

I don't quite understand how this is possible, but notifications are working on phab-01, even though notifications are disabled in the config.

Anyway I don't think we have to turn on aphlict to have a notification feed, it just won't be real-time-updating without the aphlict server.

See it working on phab-01: https://phab-01.wmflabs.org/notification/

Qgil added a comment.Nov 17 2014, 3:46 PM

I feel comfortable doing this if someone can make a wiki portion about why "notification server not enabled" is going to show up until https://secure.phabricator.com/book/phabricator/article/notifications/ as I'm sure it will be a very common question until then.

Deal. I can write that wikiportion when this feature is enabled. I agree we can live with it while we sort out T765: Enable notification server (real-time pop-up notifications) in Phabricator.

Qgil moved this task from Backlog to Doing on the Project-Management board.Nov 17 2014, 9:39 PM
Qgil assigned this task to chasemp.
Qgil closed this task as Resolved.